<?php
/**
 * @package Nicepage Website Builder
 * @author Nicepage https://www.nicepage.com
 * @copyright Copyright (c) 2016 - 2019 Nicepage
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
 */
defined('_JEXEC') or die;

/**
 * Class NicepageViewConfigHtml
 */
class NicepageViewConfig extends JViewLegacy
{
    /**
     * Render display html page
     *
     * @param null $tpl Template name
     */
    public function display($tpl = null)
    {
        $this->adminUrl = dirname(dirname((JURI::current()))) . '/administrator';
        JToolbarHelper::title(JText::_('COM_NICEPAGE_CONFIGURATION'), 'equalizer nicepage config');
        $params = NicepageHelpersNicepage::getConfig();
        $this->checked = isset($params['jquery']) && $params['jquery'] == '1' ? 'checked' : '';
        $this->autoResponsive = 'checked'; //default value
        if (isset($params['autoResponsive'])) {
            $this->autoResponsive = $params['autoResponsive'] == '1' ? 'checked' : '';
        }
        return parent::display($tpl);
    }
}